Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.search
Class NativeSearchFieldSupport

    java.lang.Object
      org.jdesktop.swingx.search.NativeSearchFieldSupport

    public class NativeSearchFieldSupport

extends java.lang.Object

TODO: comment

Author:
  Peter Weishapl

Field Summary
`static java.lang.String` | `CANCEL_ACTION_PROPERTY`
`static java.lang.String` | `FIND_ACTION_PROPERTY`
`static java.lang.String` | `FIND_POPUP_PROPERTY`
`static java.lang.String` | `MAC_SEARCH_VARIANT`
`static java.lang.String` | `MAC_TEXT_FIELD_VARIANT_PROPERTY`

Constructor Summary
`NativeSearchFieldSupport()`

Method Summary
`static java.awt.event.ActionListener` | `getCancelAction(javax.swing.JTextField txt)`
`static java.awt.event.ActionListener` | `getFindAction(javax.swing.JTextField txt)`
`static javax.swing.JPopupMenu` | `getFindPopupMenu(javax.swing.JTextField txt)`
`static boolean` | `isNativeSearchField(javax.swing.JTextField txt)`
`static boolean` | `isNativeSearchFieldSupported()`
`static boolean` | `isSearchField(javax.swing.JTextField txt)`
`static void` | `setCancelAction(javax.swing.JTextField txt, java.awt.event.ActionListener cancelAction)`
`static void` | `setFindAction(javax.swing.JTextField txt, java.awt.event.ActionListener findAction)`
`static void` | `setFindPopupMenu(javax.swing.JTextField txt, javax.swing.JPopupMenu popupMenu)`
`static void` | `setSearchField(javax.swing.JTextField txt, boolean isSearchField)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIND_POPUP_PROPERTY

    public static final java.lang.String FIND_POPUP_PROPERTY

See Also:
  Constant Field Values

### FIND_ACTION_PROPERTY

    public static final java.lang.String FIND_ACTION_PROPERTY

See Also:
  Constant Field Values

### MAC_SEARCH_VARIANT

    public static final java.lang.String MAC_SEARCH_VARIANT

See Also:
  Constant Field Values

### MAC_TEXT_FIELD_VARIANT_PROPERTY

    public static final java.lang.String MAC_TEXT_FIELD_VARIANT_PROPERTY

See Also:
  Constant Field Values

### CANCEL_ACTION_PROPERTY

    public static final java.lang.String CANCEL_ACTION_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### NativeSearchFieldSupport

    public NativeSearchFieldSupport()

Method Detail

### isNativeSearchFieldSupported

    public static boolean isNativeSearchFieldSupported()

  Returns:
    `true` if we run Leopard and the Mac Look And Feel.

### setSearchField

    public static void setSearchField(javax.swing.JTextField txt,
                                      boolean isSearchField)

### isSearchField

    public static boolean isSearchField(javax.swing.JTextField txt)

### isNativeSearchField

    public static boolean isNativeSearchField(javax.swing.JTextField txt)

### setFindPopupMenu

    public static void setFindPopupMenu(javax.swing.JTextField txt,
                                        javax.swing.JPopupMenu popupMenu)

### getFindPopupMenu

    public static javax.swing.JPopupMenu getFindPopupMenu(javax.swing.JTextField txt)

### setFindAction

    public static void setFindAction(javax.swing.JTextField txt,
                                     java.awt.event.ActionListener findAction)

### getFindAction

    public static java.awt.event.ActionListener getFindAction(javax.swing.JTextField txt)

### setCancelAction

    public static void setCancelAction(javax.swing.JTextField txt,
                                       java.awt.event.ActionListener cancelAction)

### getCancelAction

    public static java.awt.event.ActionListener getCancelAction(javax.swing.JTextField txt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.